Subject: Re: [PATCH 2/1] git svn: remove extraneous newline from log output

From: Jens Seidel <[email-masked]>
Date: Sun, 25 Jul 2010 19:35:56 +0200

Hi Eric,

On Sun, Jul 25, 2010 at 08:13:44AM +0000, Eric Wong wrote:
> This is to match the output of "svn log", which does not
> add an extra newline before the next log entry.

thanks for the patch but it doesn't work in the general case.

I attached a sample Subversion repository dump where the output of
git svn log and svn log still differs by empty lines.

I also noticed the following error:
Can't use an undefined value as an ARRAY reference at                                                                                            
/usr/lib/git-core/git-svn line 5717, <$fh> line 53.

I'm not sure whether I introduced this error once I patched
git-svn ...
The affected line is the second one in:
           } elsif (/^${esc_color}    (git-svn-id:.+)$/o) {
                        if (@{$c->{l}} && $c->{l}->[-1] eq "\n") {
                                pop @{$c->{l}};
                        }
(is -1 valid?)

Jens